#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Run our test suite until the upstream source get one
override_dh_auto_test:
	dh_auto_test
	BS1770GAIN=`pwd`/libbg/bs1770gain ./debian/tests/test-cmd-tool
endif

# Generate and install manual page
debian/bs1770gain.1: debian/bs1770gain.txtman
	txt2man -t BS1770GAIN -d 2016-12-11 -s 1 debian/bs1770gain.txtman > $@
override_dh_installman: debian/bs1770gain.1
	dh_installman
	$(RM) debian/bs1770gain.1
